# Interface ReportCode

All Known Implementing Classes:
  `AdhocCode, DatalinkCode, FixedCode`

public interface ReportCode
Labels a taplint report. This interface just aggregates a report type and a 4-character label.

Since:
  11 Jun 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns the 4-character label of this code.
`ReportType`
`getType()`
Returns the type of this code.

## Method Details

### getType

ReportType getType()
Returns the type of this code.

Returns:
  type

### getLabel

String getLabel()
Returns the 4-character label of this code.

Returns:
  4-character label